/**
     *\file editingSelector.h
     *
     *\brief 用来实现图元编辑的selector
     *
     *\author dsc
     */

#ifndef EDITINGSELECTOR_H
#define EDITINGSELECTOR_H

#include "baseSelector.h"
#include "global.h"

class GraphicsBaseItem;
class EditingSelector : public BaseSelector
{
    Q_OBJECT

public:
    explicit EditingSelector(QObject *parent = 0);
    virtual ~EditingSelector();

public:
    void mousePressEvent(QGraphicsSceneMouseEvent*, DesignerScene*);
    void mouseMoveEvent(QGraphicsSceneMouseEvent*, DesignerScene*);
    void mouseReleaseEvent(QGraphicsSceneMouseEvent*, DesignerScene*);

private:
    GraphicsBaseItem*    m_pEditingItem;
};

#endif
